Bug 1126102 - GCC 9: open-vm-tools build fails on i586
GCC 9: open-vm-tools build fails on i586
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks: 1120754
  Show dependency treegraph
 
Reported: 2019-02-20 13:44 UTC by Martin Liška
Modified: 2019-05-21 06:18 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2019-02-20 13:44:19 UTC
Seen here:
https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:Gcc7/open-vm-tools/standard/i586

[  148s] hgfsServer.c: In function 'HgfsServerRead':
[  148s] hgfsServer.c:6541:43: error: taking address of packed member of 'struct HgfsReplyReadV3' may result in an unaligned pointer value [-Werror=address-of-packed-member]
[  148s]  6541 |                                           &reply->actualSize);
[  148s]       |                                           ^~~~~~~~~~~~~~~~~~
[  148s] hgfsServer.c:6562:56: error: taking address of packed member of 'struct HgfsReplyRead' may result in an unaligned pointer value [-Werror=address-of-packed-member]
[  148s]  6562 |                                        reply->payload, &reply->actualSize);
[  148s]       |                                                        ^~~~~~~~~~~~~~~~~~
[  152s] cc1: all warnings being treated as errors
[  152s] make[2]: *** [Makefile:515: hgfsServer.lo] Error 1
Comment 1 Jiachen Zhang 2019-02-21 01:34:43 UTC
(In reply to Martin Liška from comment #0)
> Seen here:
> https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:
> Gcc7/open-vm-tools/standard/i586
> 
> [  148s] hgfsServer.c: In function 'HgfsServerRead':
> [  148s] hgfsServer.c:6541:43: error: taking address of packed member of
> 'struct HgfsReplyReadV3' may result in an unaligned pointer value
> [-Werror=address-of-packed-member]
> [  148s]  6541 |                                          
> &reply->actualSize);
> [  148s]       |                                           ^~~~~~~~~~~~~~~~~~
> [  148s] hgfsServer.c:6562:56: error: taking address of packed member of
> 'struct HgfsReplyRead' may result in an unaligned pointer value
> [-Werror=address-of-packed-member]
> [  148s]  6562 |                                        reply->payload,
> &reply->actualSize);
> [  148s]       |                                                       
> ^~~~~~~~~~~~~~~~~~
> [  152s] cc1: all warnings being treated as errors
> [  152s] make[2]: *** [Makefile:515: hgfsServer.lo] Error 1
Comment 2 Ravindra Kumar 2019-02-26 00:51:48 UTC
We have added a patch for this issue in Fedora here - https://src.fedoraproject.org/rpms/open-vm-tools/blob/master/f/gcc9-warnings.patch. You should be able to use the same.
Comment 3 Martin Liška 2019-02-26 09:26:49 UTC
(In reply to Ravindra Kumar from comment #2)
> We have added a patch for this issue in Fedora here -
> https://src.fedoraproject.org/rpms/open-vm-tools/blob/master/f/gcc9-warnings.
> patch. You should be able to use the same.

Thanks for the patch. I'm doing submit request right now:
https://build.opensuse.org/request/show/679192
Comment 4 Martin Liška 2019-03-07 08:57:06 UTC
It's accepted into devel project, thus closing.
Comment 7 Swamp Workflow Management 2019-04-05 05:29:19 UTC
openSUSE-RU-2019:1102-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1
115118,1121964,1122435,1124397,1126102
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    open-vm-tools-10.3.5-lp150.2.10.2, xmlsec1-1.2.26-lp150.7.2

*** NOTE: This informati
on is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-04-10 15:05:49 UTC
openSUSE-RU-2019:1102-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1
115118,1121964,1122435,1124397,1126102
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    open-vm-tools-10.3.5-lp150.2.10.2, xmlsec1-1.2.26-lp150.7.2

*** NOTE: This informati
on is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2019-04-24 15:55:54 UTC
SUSE-RU-2019:1021-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1122435,1126102,1130898
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    open-vm-tools-10.3.10-4.6.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    open-vm-tools-10.3.10-4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2019-04-25 13:09:43 UTC
SUSE-RU-2019:1032-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1122435,1126102,1130898
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3 (src):    open-vm-tools-10.3.10-3.25.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    open-vm-tools-10.3.10-3.25.1
SUSE CaaS Platform ALL (src):    open-vm-tools-10.3.10-3.25.1
SUSE CaaS Platform 3.0 (src):    open-vm-tools-10.3.10-3.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2019-05-08 19:14:02 UTC
openSUSE-RU-2019:1348-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1122435,1126102,1130898
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    open-vm-tools-10.3.10-26.1
Comment 12 Swamp Workflow Management 2019-05-21 06:18:32 UTC
openSUSE-RU-2019:1102-1: An update that has 5 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1115118,1121964,1122435,1124397,1126102
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    open-vm-tools-10.3.5-lp150.2.10.2, xmlsec1-1.2.26-lp150.7.2

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.